Page MenuHomePhabricator

Document the process for tagging, signing and preparing a tarball release.
Closed, ResolvedPublicDec 14 2018

Description

This should be everything:

# clone the release repo:
git clone ssh://gerrit.wikimedia.org:29418/mediawiki/tools/release  

# clone mediawiki/core:
git clone ssh://gerrit.wikimedia.org:29418/mediawiki/core

# These version numbers need to exactly match the existing, signed git tags
# in mediawiki/core

PREV_VERSION=1.31.1
THIS_VERSION=1.32.0
OUTPUT_DIR=../../build # the tarballs get created here
MEDIAWIKI_DIR=../../core/ # the path to where you cloned mediawiki/core

# now run makerelease2.py (eventually this will replace make-release.py)
cd release/make-release
./makerelease2.py --sign --previous $PREV_VERSION --output_dir $OUTPUT_DIR $MEDIAWIKI_DIR $THIS_VERSION

Verify that the files were created in ./build, check that the file sizes are in the right ballpark, etc. Once you have reassured yourself that the build is reasonable then the last step is to upload the files to the release server:

scp ./build/*$VERSION.tar* releases1001.eqiad.wmnet:/srv/org/wikimedia/releases/mediawiki/$MAJOR/

This is now documented on https://www.mediawiki.org/wiki/Release_checklist#Produce_tarball

Details

Due Date
Dec 14 2018, 6:00 AM

Event Timeline

mmodell triaged this task as High priority.Dec 11 2018, 8:33 AM
mmodell created this task.
Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptDec 11 2018, 8:33 AM

Maybe this info could be made a subpage of https://www.mediawiki.org/wiki/Release_checklist and linked from that opening paragraph on that page?

Turns out makerelease2.py is a better way to do this, I'll write it up based on a different process than what's outlined in this task description.

mmodell closed this task as Resolved.Jan 24 2019, 6:40 PM
mmodell updated the task description. (Show Details)